local iHeight = ... or THEME:GetMetric(Var "LoadingScreen","FooterFallbackHeight");
assert(iHeight);

local t = Def.ActorFrame {};
-- Streams, Background
t[#t+1] = Def.ActorFrame {
	Def.Quad {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight);
		OnCommand=cmd(fadetop,0.5);
	};
	LoadActor("texture 1") .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight;customtexturerect,0,0,SCREEN_WIDTH/256,iHeight/256);
		OnCommand=cmd(texcoordvelocity,-0.25,0;diffusealpha,0.4);
	};
	LoadActor("texture 2") .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight;customtexturerect,0,0,SCREEN_WIDTH/256,iHeight/256);
		OnCommand=cmd(texcoordvelocity,0.125,0;diffusealpha,0.4);
	};
	LoadActor(THEME:GetPathG("","swipes")) .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight;customtexturerect,0,0,SCREEN_WIDTH/(256*1.5),iHeight/100);
		OnCommand=cmd(texcoordvelocity,0.35,0;diffuse,0,0,0,0.4;fadetop,1);
	};
	LoadActor(THEME:GetPathG("","swipes")) .. {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight;customtexturerect,0,0,SCREEN_WIDTH/(256*2.5),iHeight/200);
		OnCommand=cmd(texcoordvelocity,0.35,0;diffuse,0,0,0,0.2;fadebottom,1);
	};

	Def.Quad {
		InitCommand=cmd(zoomto,SCREEN_WIDTH,iHeight);
		OnCommand=cmd(diffuse,DarkColor(cBlue);blend,"BlendMode_Add");
	};

	LoadActor("seperator") .. {
		InitCommand=cmd(y,-iHeight/2;zoomtowidth,SCREEN_WIDTH);
	};
};

t.BeginCommand=cmd(addy,-iHeight/2);
return t;